Delete Event Definition Details
post
/config/sim/v2/setup/eventDefinitions/deleteDetails
Deletes one revenue center assignment or one event area assignment from an existing Event Definition. Exactly one of areaObjectNum or rvcId must be supplied.
Request
Supported Media Types
- multipart/form-data
- application/json
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Event Definition Detail delete request body. Exactly one of areaObjectNum or rvcId must be supplied.
Root Schema : schema
Type:
Show Source
object-
areaObjectNum:
integer
Event Area object number for an event area assignment. Do not send with rvcId.Example:
3 -
hierUnitId(required):
integer
Unique hierarchy unit value of the parent Event Definition.Example:
3599 -
objectNum(required):
integer
Object number of the parent Event Definition.Example:
10 -
rvcId:
integer
Revenue Center ID for a revenue center assignment. Do not send with areaObjectNum.Example:
101
Response
Supported Media Types
- application/json
200 Response
Message indicating the number of records deleted.